Index: Singular/emacs.cc
===================================================================
--- Singular/emacs.cc	(revision ee2c298cf0d2f434245b20c263dd6cf6a731d450)
+++ Singular/emacs.cc	(revision db85597031b8ebc06a40e304c7fc95ffaf51cdb0)
@@ -2,5 +2,5 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: emacs.cc,v 1.21 2001-10-09 16:35:57 Singular Exp $ */
+/* $Id: emacs.cc,v 1.22 2002-02-11 12:03:58 Singular Exp $ */
 /*
 * ABSTRACT: Esingular main file
@@ -13,5 +13,5 @@
 #include <string.h>
 
-#ifdef WINNT
+#ifdef ix86_Win
 #include <windows.h>
 #endif
@@ -44,5 +44,5 @@
 #  define  UP_DIR ".."
 
-#ifndef WINNT
+#ifndef ix86_Win
 void error(const char *fmt, ...)
 {
@@ -196,6 +196,6 @@
   }
 
-#ifdef WINNT
-#define EXTRA_XTERM_ARGS "+vb -sl 2000 -fb Courier-bold-13 -tn linux -cr Red3"
+#ifdef ix86_Win
+#define EXTRA_XTERM_ARGS "+vb -sl 2000 -fb Courier-bold-12 -tn linux -cr Red3"
 #else
 #define EXTRA_XTERM_ARGS ""
@@ -256,5 +256,5 @@
       if ((emacs_load==NULL)||(!access(emacs_load,X_OK)))
         emacs_load = getenv("SINGHOME");
-#endif	
+#endif
       sprintf(cwd, "%s/.emacs-singular", emacs_load);
       if (! access(cwd, R_OK))
Index: Singular/feResource.cc
===================================================================
--- Singular/feResource.cc	(revision ee2c298cf0d2f434245b20c263dd6cf6a731d450)
+++ Singular/feResource.cc	(revision db85597031b8ebc06a40e304c7fc95ffaf51cdb0)
@@ -2,5 +2,5 @@
 *  Computer Algebra System SINGULAR     *
 ****************************************/
-/* $Id: feResource.cc,v 1.33 2002-01-29 17:26:47 Singular Exp $ */
+/* $Id: feResource.cc,v 1.34 2002-02-11 12:03:58 Singular Exp $ */
 /*
 * ABSTRACT: management of resources
@@ -31,5 +31,5 @@
 
 #if defined(MAKE_DISTRIBUTION)
-#if defined(WINNT) && ! defined(__CYGWIN__)
+#if defined(ix86_Win) && ! defined(__CYGWIN__)
 #define SINGULAR_DEFAULT_DIR "/Singular/"S_VERSION1
 #elif defined(macintosh)
@@ -90,5 +90,5 @@
   {"info",      'I',    feResBinary,"INFO",                 "%b/info",              ""},
   {"tkinfo",    'T',    feResBinary,"TKINFO",               "%b/tkinfo",            ""},
-#ifdef WINNT
+#ifdef ix86_Win
   {"rxvt",     'X',    feResBinary,"RXVT",                "%b/rxvt",             ""},
 #else
@@ -122,5 +122,5 @@
 
 char fePathSep =
-#if defined(WINNT)
+#if defined(ix86_Win)
 ';'
 #elif defined(macintosh)
@@ -143,5 +143,5 @@
 static void mystrcpy(char* d, char* s);
 static char* feSprintf(char* s, const char* fmt, int warn = -1);
-#if defined(WINNT) && defined(__GNUC__)
+#if defined(ix86_Win) && defined(__GNUC__)
 // utility function of Cygwin32:
 extern "C" int cygwin32_posix_path_list_p (const char *path);
@@ -180,5 +180,5 @@
 void feInitResources(char* argv0)
 {
-#if defined(WINNT) && defined(__GNUC__)
+#if defined(ix86_Win) && defined(__GNUC__)
   if (cygwin32_posix_path_list_p (getenv("PATH")))
     fePathSep = ':';
@@ -410,5 +410,5 @@
   }
 #ifndef macintosh
-#ifdef WINNT // stupid WINNT sometimes gives you argv[0] within ""
+#ifdef ix86_Win // stupid WINNT sometimes gives you argv[0] within ""
   if (*feArgv0 == '"')
   {
@@ -479,5 +479,5 @@
       printf("Clean value:%s\n", value);
 #endif
-#ifdef WINNT
+#ifdef ix86_Win
 #ifdef RESOURCE_DEBUG
       printf("Clean WINNT value:%s\n", value);
Index: Singular/fehelp.cc
===================================================================
--- Singular/fehelp.cc	(revision ee2c298cf0d2f434245b20c263dd6cf6a731d450)
+++ Singular/fehelp.cc	(revision db85597031b8ebc06a40e304c7fc95ffaf51cdb0)
@@ -91,5 +91,5 @@
 static heBrowser_s heHelpBrowsers[] =
 {
-#ifdef WINNT
+#ifdef ix86_Win
   { "html",     heDummyInit,    heHtmlHelp},
   { "winhlp",   heDummyInit,    heWinHelp},
@@ -204,5 +204,5 @@
     // First, try emacs, if emacs-option is set
     // Under Win, always use html
-#ifndef WINNT
+#ifndef ix86_Win
     if (feOptValue(FE_OPT_EMACS) != NULL)
     {
@@ -757,5 +757,5 @@
     return FALSE;
   }
-#ifndef WINNT
+#ifndef ix86_Win
   if (getenv("DISPLAY") == NULL)
   {
@@ -805,5 +805,5 @@
     sprintf(url, "%s%s/index.htm", urltype, htmldir);
   }
-#ifndef WINNT
+#ifndef ix86_Win
   sprintf(sys, "%s --remote 'OpenUrl(%s)' > /dev/null 2>&1",
 #else
@@ -890,6 +890,6 @@
   char sys[MAX_SYSCMD_LEN];
 
-#ifdef WINNT
-#define EXTRA_XTERM_ARGS "+vb -sb -fb Courier-bold-13 -tn linux -cr Red3"
+#ifdef ix86_Win
+#define EXTRA_XTERM_ARGS "+vb -sb -fb Courier-bold-12 -tn linux -cr Red3"
 #else
 #define EXTRA_XTERM_ARGS ""
@@ -916,5 +916,5 @@
 static BOOLEAN heTkinfoInit(int warn)
 {
-#ifndef WINNT
+#ifndef ix86_Win
   if (getenv("DISPLAY") == NULL)
   {
